/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.mdsp.util

import com.squareup.kotlinpoet.ParameterSpec
import com.squareup.kotlinpoet.PropertySpec
import com.squareup.kotlinpoet.TypeName
import kotlin.reflect.KClass

class ConstructorPropertiesHelper {
    private val properties = mutableListOf<PropertySpec>()

    fun create(name: String, type: TypeName): ParameterSpec {
        properties.add(PropertySpec.builder(name, type).initializer(name).build())
        return ParameterSpec.builder(name, type).build()
    }

    fun create(name: String, type: KClass<*>): ParameterSpec {
        properties.add(PropertySpec.builder(name, type).initializer(name).build())
        return ParameterSpec.builder(name, type).build()
    }

    fun getProperties() = properties.toList()
}
