/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos

object NamespacedID {
    val ID_REGEX = Regex("[0-9a-z._/-]")
    val NAMESPACE_REGEX = Regex("[0-9a-z_-]")

    fun getNamespace(id: String) = id.substringBefore(":")
    fun getName(id: String) = id.substringAfter(":")
    fun isValid(id: String) = getNamespace(id).matches(NAMESPACE_REGEX) && getName(id).matches(ID_REGEX)
}


