/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.entity

import kotlin.reflect.KClass

interface EntityType {
    val numericID: Int
    val id: String
    val width: Float
    val height: Float

    companion object {
        /**
         * All entity types, sorted by their numeric ID in ascending order.
         */
        val all = ENTITY_TYPES
        val byID = ENTITY_TYPES.map { it.id to it }.toMap()
    }
}
