/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.net.event

import space.uranos.event.Cancellable
import space.uranos.net.Session

/**
 * Emitted when the client sends his brand during the login process.
 */
class ClientBrandReceivedEvent(
    override val target: Session,
    var brand: String
) : SessionEvent(), Cancellable {
    override var cancelled = false
}
