/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.net.event

import space.uranos.event.Cancellable
import space.uranos.net.Session
import space.uranos.net.packet.OutgoingPacket

/**
 * Emitted when a packet is going to be sent.
 */
class PacketSendEvent(override val target: Session, var packet: OutgoingPacket) : SessionEvent(), Cancellable {
    override var cancelled = false
}
