/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.net.event

import space.uranos.event.Cancellable
import space.uranos.net.ServerListInfo
import space.uranos.net.Session

/**
 * Emitted when a client requests general info about the server, usually to show it in the server list.
 *
 * If the event is cancelled or [response] is null after all handlers ran, the session is disconnected.
 */
class ServerListInfoRequestEvent(
    override val target: Session,
    var response: ServerListInfo? = null
) : SessionEvent(), Cancellable {
    override var cancelled = false
}
