/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.plugin

abstract class Plugin(name: String, version: String) {
    val meta = Meta(name, version)

    open fun onEnable() {}
    open fun onDisable() {}

    data class Meta(val name: String, val version: String)

    companion object {
        fun getCalling(): Plugin? {
            // TODO: Return the last plugin in the stacktrace
            // This could be useful: https://stackoverflow.com/questions/421280/how-do-i-find-the-caller-of-a-method-using-stacktrace-or-reflection
            return null
        }
    }
}
