/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.tag

object TagRegistry {
    val tags: List<Tag> = MINECRAFT_INTERNAL_TAGS.toList()
    val tagsByType: Map<Tag.Type, List<Tag>> = tags.groupBy { it.type }

    val tagsByNameByType: Map<Tag.Type, Map<String, Tag>> =
        tagsByType.mapValues { (_, tags) -> tags.map { it.name to it }.toMap() }
}
