/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.util

/**
 * If [count] is 1, it returns [singular], else [plural].
 *
 * [plural] defaults to [singular] + 's'.
 */
fun pluralize(singular: String, count: Int, plural: String = singular + "s") =
    if (count == 1) singular else plural

/**
 * Same as [pluralize], but prepends `count + " "`.
 */
fun pluralizeWithCount(singular: String, count: Int, plural: String = singular + "s") =
    "$count ${pluralize(singular, count, plural)}"
