/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.world.block

import kotlin.annotation.Target

/**
 * @suppress
 */
@Retention
@Target(AnnotationTarget.PROPERTY)
internal annotation class Attribute(
    /**
     * The maximum allowed value of this attribute.
     * Silently ignored for properties whose type is not [Int].
     */
    val max: Int = 0
)
