/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.net.packet.handshaking

import io.netty.buffer.ByteBuf
import space.uranos.net.MinecraftProtocolDataTypes.readString
import space.uranos.net.MinecraftProtocolDataTypes.readVarInt
import space.uranos.net.packet.IncomingPacketCodec

object HandshakePacketCodec : IncomingPacketCodec<HandshakePacket>(0x00, HandshakePacket::class) {
    override fun decode(msg: ByteBuf): HandshakePacket = HandshakePacket(
        protocolVersion = msg.readVarInt(),
        serverAddress = msg.readString(),
        serverPort = msg.readUnsignedShort(),
        loginAttempt = msg.readVarInt() == 2
    )
}
