/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.net.packet.play

import io.netty.buffer.ByteBuf
import space.uranos.net.MinecraftProtocolDataTypes.readString
import space.uranos.net.packet.IncomingPacketCodec

object IncomingPluginMessagePacketCodec :
    IncomingPacketCodec<IncomingPluginMessagePacket>(0x0B, IncomingPluginMessagePacket::class) {
    override fun decode(msg: ByteBuf): IncomingPluginMessagePacket {
        val channel = msg.readString()
        val data = ByteArray(msg.readableBytes()).also { msg.readBytes(it) }

        return IncomingPluginMessagePacket(channel, data)
    }
}
