/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.net.packet.play

import io.netty.buffer.ByteBuf
import space.uranos.net.MinecraftProtocolDataTypes.writeString
import space.uranos.net.packet.OutgoingPacketCodec

object OutgoingPluginMessagePacketCodec :
    OutgoingPacketCodec<OutgoingPluginMessagePacket>(0x17, OutgoingPluginMessagePacket::class) {
    override fun OutgoingPluginMessagePacket.encode(dst: ByteBuf) {
        dst.writeString(channel)
        dst.writeBytes(data)
    }
}
