/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.net.packet.play

import io.netty.buffer.ByteBuf
import space.uranos.net.packet.OutgoingPacketCodec
import space.uranos.util.bitmask

object PlayerAbilitiesPacketCodec : OutgoingPacketCodec<PlayerAbilitiesPacket>(0x30, PlayerAbilitiesPacket::class) {
    override fun PlayerAbilitiesPacket.encode(dst: ByteBuf) {
        dst.writeByte(bitmask(invulnerable, flying, canFly))
        dst.writeFloat(flyingSpeed)
        dst.writeFloat(fieldOfView)
    }
}
