/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.net.packet.play

import io.netty.buffer.ByteBuf
import space.uranos.net.MinecraftProtocolDataTypes.writeVarInt
import space.uranos.net.packet.OutgoingPacketCodec
import space.uranos.util.bitmask

object PlayerPositionAndLookPacketCodec :
    OutgoingPacketCodec<PlayerPositionAndLookPacket>(0x34, PlayerPositionAndLookPacket::class) {
    override fun PlayerPositionAndLookPacket.encode(dst: ByteBuf) {
        dst.writeDouble(position.x)
        dst.writeDouble(position.y)
        dst.writeDouble(position.z)
        dst.writeFloat(position.yaw)
        dst.writeFloat(position.pitch)
        dst.writeByte(bitmask(relativeX, relativeY, relativeZ, relativeYaw, relativePitch))
        dst.writeVarInt(0) // Teleport ID, I am not sure why this is needed
    }
}
