/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.net.packet.play

import io.netty.buffer.ByteBuf
import space.uranos.Difficulty
import space.uranos.net.MinecraftProtocolDataTypes.writeVarInt
import space.uranos.net.packet.OutgoingPacketCodec

object SpawnExperienceOrbPacketCodec : OutgoingPacketCodec<SpawnExperienceOrbPacket>(0x01, SpawnExperienceOrbPacket::class) {
    override fun SpawnExperienceOrbPacket.encode(dst: ByteBuf) {
        dst.writeVarInt(entityID)
        dst.writeDouble(location.x)
        dst.writeDouble(location.y)
        dst.writeDouble(location.z)
        dst.writeShort(amount.toInt())
    }
}
