/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.net.packet.play

import io.netty.buffer.ByteBuf
import space.uranos.net.MinecraftProtocolDataTypes.writeVarInt
import space.uranos.net.packet.OutgoingPacketCodec

object UpdateViewPositionPacketCodec :
    OutgoingPacketCodec<UpdateViewPositionPacket>(0x40, UpdateViewPositionPacket::class) {
    override fun UpdateViewPositionPacket.encode(dst: ByteBuf) {
        dst.writeVarInt(chunkKey.x)
        dst.writeVarInt(chunkKey.z)
    }
}
