/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.util

import java.nio.ByteBuffer

fun Long.toByteArray(): ByteArray = ByteBuffer.allocate(Long.SIZE_BYTES).also {
    it.putLong(this)
}.array()

fun ByteArray.toLong() = ByteBuffer.allocate(Long.SIZE_BYTES).also {
    it.put(this)
    it.flip()
}.long
