/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.net.packet.login

import space.uranos.chat.ChatComponent
import space.uranos.net.packet.OutgoingPacket

/**
 * Sent by the server to cancel an ongoing login process.
 *
 * @param reason The reason why the login process was cancelled.
 */
data class DisconnectPacket(val reason: ChatComponent) : OutgoingPacket()
