/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.net.packet.login

import space.uranos.net.packet.IncomingPacket

/**
 * Sent by the client to initialize the login process.
 *
 * @param username The username of the client. This is not validated (yet). Can only be 16 characters long.
 */
data class LoginStartPacket(val username: String) : IncomingPacket() {
    init {
        if (username.length > 16) throw IllegalArgumentException("username can only be 16 characters long")
    }
}
