/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.net.packet.play

import space.uranos.net.packet.IncomingPacket
import space.uranos.player.ChatMode
import space.uranos.player.Hand
import space.uranos.player.Player
import space.uranos.player.SkinPartsConfiguration

/**
 * Sent by the client when the player joins or the settings changed.
 */
data class ClientSettingsPacket(
    val locale: String,
    val viewDistance: Byte,
    val chatMode: ChatMode,
    val chatColorsEnabled: Boolean,
    val enabledSkinParts: SkinPartsConfiguration,
    val mainHand: Hand
) : IncomingPacket() {
    fun asPlayerSettings() = Player.Settings(
        viewDistance,
        locale,
        mainHand,
        enabledSkinParts,
        chatColorsEnabled,
        chatMode
    )
}
