/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.net.packet.play

import io.netty.buffer.ByteBuf
import space.uranos.net.packet.OutgoingPacket

/**
 * Can be used by mods or plugins to communicate with a potentially modded client.
 * Minecraft itself [also uses this for some things](https://wiki.vg/Plugin_channels#Channels_internal_to_Minecraft).
 *
 * @param channel Channel in which the message should be send.
 * @param data Data which should be send. The ByteBuf needs to be released by the caller.
 */
data class OutgoingPluginMessagePacket(val channel: String, val data: ByteBuf) : OutgoingPacket()
