/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.net.packet.play

import space.uranos.Position
import space.uranos.net.packet.OutgoingPacket
import kotlin.random.Random

/**
 * Teleports the receiving player to the specified position.
 */
data class PlayerPositionAndLookPacket(
    val position: Position,
    val relativeX: Boolean = false,
    val relativeY: Boolean = false,
    val relativeZ: Boolean = false,
    val relativeYaw: Boolean = false,
    val relativePitch: Boolean = false,
    val teleportID: Int = Random.nextInt()
) : OutgoingPacket()
