/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.net.packet.play

import space.uranos.net.packet.OutgoingPacket

/**
 * Sent by the server to select a specific hotbar slot.
 */
data class SetSelectedHotbarSlotPacket(val index: Int) : OutgoingPacket() {
    init {
        if (index !in 0..8) throw IllegalArgumentException("index must be between 0 and 8")
    }
}
