/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.net.packet.play

import space.uranos.Position
import space.uranos.Vector
import space.uranos.entity.EntityType
import space.uranos.net.packet.OutgoingPacket
import space.uranos.world.Chunk
import space.uranos.world.ChunkData
import java.util.*

/**
 * Sent to spawn object entities.
 */
data class SpawnObjectEntityPacket(
    val entityID: Int,
    val uuid: UUID,
    val type: EntityType,
    val position: Position,
    val data: Int,
    val velocity: Vector
) : OutgoingPacket()
