/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.net.packet.play

import space.uranos.CardinalDirection
import space.uranos.Location
import space.uranos.entity.PaintingMotive
import space.uranos.net.packet.OutgoingPacket
import space.uranos.world.VoxelLocation
import java.util.*

/**
 * Sent to spawn **living** entities.
 */
data class SpawnPaintingPacket(
    val entityID: Int,
    val uuid: UUID,
    val motive: PaintingMotive,
    val centerLocation: VoxelLocation,
    val direction: CardinalDirection
) : OutgoingPacket()
