/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.net.packet.play

import space.uranos.net.packet.OutgoingPacket
import space.uranos.tag.Tag
import space.uranos.util.pluralizeWithCount

/**
 * Sent by the server while the player is joining.
 */
data class TagsPacket(val tags: Iterable<Tag>) : OutgoingPacket() {
    override fun toString(): String = "TagsPacket(${pluralizeWithCount("tag", tags.count())})"
}
