/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.net.packet.status

import space.uranos.net.packet.IncomingPacket

/**
 * Sent by the client to determine the RTT of the connection. The server responds with a [PongPacket].
 *
 * @param payload A random value generated by the client. The [PongPacket] sent in response must use the same payload.
 */
data class PingPacket(val payload: Long) : IncomingPacket()
