/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.net.packet.status

import space.uranos.net.packet.OutgoingPacket

/**
 * Sent by the server in response to a [PingPacket].
 *
 * @param payload A random value generated by the client. This must be the same as in the corresponding [PingPacket].
 */
data class PongPacket(val payload: Long) : OutgoingPacket()
