/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.config

import space.uranos.logging.Logger
import java.time.Duration

data class UranosConfig(
    val port: Int,
    val host: String,
    val ignoreClientCausedErrors: Boolean,
    val authenticateAndEncrypt: Boolean,
    val developmentMode: Boolean,
    val minLogLevel: Logger.Level,
    val packetCompressionThreshold: Int,
    val timeout: Duration,
    val packetsBufferSize: Int
)
