/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.net.packet.login

import space.uranos.net.PacketReceivedEventHandler
import space.uranos.net.UranosSession

object EncryptionResponsePacketHandler : PacketReceivedEventHandler<EncryptionResponsePacket>() {
    override suspend fun handle(session: UranosSession, packet: EncryptionResponsePacket) {
        try {
            session.joinProcedure.onEncryptionResponse(packet)
        } catch (e: IllegalStateException) {
            session.failAndDisconnectBecauseOfClient("Client sent EncryptionResponsePacket when it was not allowed.")
        }
    }
}
