/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.net.packet.login

import space.uranos.net.PacketReceivedEventHandler
import space.uranos.net.UranosSession

object LoginStartPacketHandler : PacketReceivedEventHandler<LoginStartPacket>() {
    override suspend fun handle(session: UranosSession, packet: LoginStartPacket) {
        try {
            session.joinProcedure.start(packet)
        } catch (e: IllegalStateException) {
            session.failAndDisconnectBecauseOfClient("Client sent LoginStartPacket when it was not allowed")
        }
    }
}
