/*
 * Copyright 2020-2021 Moritz Ruth and Uranos contributors
 * Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file
 */

package space.uranos.net.packet.play

import space.uranos.net.PacketReceivedEventHandler
import space.uranos.net.UranosSession

object IncomingKeepAlivePacketHandler : PacketReceivedEventHandler<IncomingKeepAlivePacket>() {
    override suspend fun handle(session: UranosSession, packet: IncomingKeepAlivePacket) {
        if (session.lastKeepAlivePacketTimestamp == packet.id) {
            session.ping = (System.currentTimeMillis() - session.lastKeepAlivePacketTimestamp).toInt()
            session.keepAliveDisconnectJob.cancel()
            session.scheduleKeepAlivePacket()
        } else {
            session.disconnect(internalReason = "The ID of the last IncomingKeepAlive packet does not match the expected one.")
        }
    }
}
